summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-11-26 01:24:21 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-12-17 16:55:55 +0100
commitafd0bf9dce366a32d2721ef5b29b766d6ae3d10f (patch)
treeafeb70dc1c912658fa385465fa6a8c63af7fa440 /app-text/libwps
parentdev-libs/liborcus: Drop eutils.eclass, cleanup, improve metadata (diff)
downloadgentoo-afd0bf9dce366a32d2721ef5b29b766d6ae3d10f.tar.gz
gentoo-afd0bf9dce366a32d2721ef5b29b766d6ae3d10f.tar.bz2
gentoo-afd0bf9dce366a32d2721ef5b29b766d6ae3d10f.zip
app-text/libwps: Add USE=tools, drop eutils.eclass, update HOMEPAGE
Package-Manager: portage-2.3.0
Diffstat (limited to 'app-text/libwps')
-rw-r--r--app-text/libwps/libwps-0.4.4-r1.ebuild11
-rw-r--r--app-text/libwps/metadata.xml3
2 files changed, 8 insertions, 6 deletions
diff --git a/app-text/libwps/libwps-0.4.4-r1.ebuild b/app-text/libwps/libwps-0.4.4-r1.ebuild
index 6f1a54b5a1d..b12d855137c 100644
--- a/app-text/libwps/libwps-0.4.4-r1.ebuild
+++ b/app-text/libwps/libwps-0.4.4-r1.ebuild
@@ -4,16 +4,14 @@
EAPI=6
-inherit eutils
-
DESCRIPTION="Microsoft Works file word processor format import filter library"
-HOMEPAGE="http://libwps.sourceforge.net/"
+HOMEPAGE="https://sourceforge.net/p/libwps/wiki/Home/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm x86"
-IUSE="doc debug static-libs"
+IUSE="doc debug static-libs tools"
RDEPEND="
app-text/libwpd:0.10
@@ -30,10 +28,11 @@ src_configure() {
--with-sharedptr=c++11 \
$(use_enable debug) \
$(use_with doc docs) \
- $(use_enable static-libs static)
+ $(use_enable static-libs static) \
+ $(use_enable tools)
}
src_install() {
default
- prune_libtool_files --all
+ find "${D}" -name '*.la' -delete || die
}
diff --git a/app-text/libwps/metadata.xml b/app-text/libwps/metadata.xml
index 75ecdaf8706..e942043e448 100644
--- a/app-text/libwps/metadata.xml
+++ b/app-text/libwps/metadata.xml
@@ -9,6 +9,9 @@
<email>office@gentoo.org</email>
<name>Gentoo Office project</name>
</maintainer>
+ <use>
+ <flag name="tools">Build file conversion tools</flag>
+ </use>
<upstream>
<remote-id type="sourceforge">libwps</remote-id>
</upstream>